#version 130
in vec3 position;
in float count;
uniform float alpha_value = 0.5;
uniform mat4 rotation;
uniform int min_count = 1;
uniform float steps;
out vec4 vcolor;

void main() { 
	float n = count/(2*min_count);

	float angle = position.x*360.0;
	float distance = position.y;
	float height = position.z;
	
	float x = distance*cos(angle);
	float z = distance*sin(angle);
	float y = height;
	
	gl_Position = rotation*vec4(x, y, z, 1.0); 
        if(count >= min_count)
                vcolor = vec4(0.0+n/steps, 1.0-n/steps, steps/200, alpha_value);
        else
                vcolor = vec4(0.0, 0.0, 0.0, 0.0);
}
